DO $$
DECLARE
  schm text;
  txt_val text = '';
  found_seq boolean = false;
  found_idx boolean = false;
  match_cnt integer = 0;
  max_cnt integer = 1;	-- find first table
  stop boolean = False;
BEGIN
	RAISE NOTICE 'BEGIN %', NOW();
	for schm in (
		SELECT SCHEMA_NAME::text
		FROM information_schema.schemata
		WHERE SCHEMA_NAME LIKE 'ct_stat_%n'
			AND SCHEMA_NAME NOT LIKE 'pg_%'
			AND SCHEMA_NAME <> 'public'
	) loop
		if stop = True then
			EXIT;
		end if;
		raise notice '%', schm;
		execute 'set search_path = ''' || schm || ''', ''public''';
		FOR txt_val IN (select value from ct_dic_keyword) LOOP
			select exists(select 1 from ct_dic_keyword where md5(value) = md5(txt_val)) into found_seq;
			select exists(select 1 from ct_dic_keyword where value = txt_val) into found_idx;
			if found_seq <> found_idx then
				raise notice 'seq scan ------> %', txt_val;
				raise notice 'idx scan ------> %', txt_val;
				match_cnt = match_cnt + 1;
				if match_cnt >= max_cnt then
					stop = True;
					EXIT;
				end if;
			end if;
		END LOOP;
	END LOOP;
	set search_path = 'public';
END $$;